Page MenuHomePhabricator

Merge the "extended-uploader" and "autopatrolled" user groups on Commons
Closed, ResolvedPublic

Description

Per this discussion on Commons please grant the autopatrolled and patroller user groups on Commons the upload_by_url right and remove the extended-uploader user group.

If the extended-uploader group must be emptied before it is removed please let us know. We just don't want to do it before the relevant user right is added to the autopatrolled and patroller groups.

Thanks!

Event Timeline

Majora created this task.Jan 17 2019, 2:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 17 2019, 2:57 AM
JJMC89 added a subscriber: JJMC89.Jan 17 2019, 3:58 AM
JJMC89 renamed this task from Merge "extended uploader" and "autopatrol" right to Merge the "extended-uploader" and "autopatrolled" user groups on Commons.Jan 17 2019, 4:12 AM
JJMC89 updated the task description. (Show Details)
Yann added a subscriber: Yann.Jan 17 2019, 6:16 AM
Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptJan 17 2019, 8:17 AM
4nn1l2 added a subscriber: 4nn1l2.Jan 17 2019, 8:58 AM
AlexisJazz added a subscriber: AlexisJazz.

Also see T89131, please replace or supplement {{FlickrVerifiedByUploadWizard.*}} with {{flickrreview}}.

Would this then also automatically give these permissions to "patrollers"?

Would this then also automatically give these permissions to "patrollers"?

Autopatrol is included in patrol.

Would this then also automatically give these permissions to "patrollers"?

Autopatrol is included in patrol.

That's actually not how that works @AlexisJazz. You have to separate user groups from user rights/flags. Flags are assigned to groups and then the group is granted to editors. Right now both the autopatrolled and patroller groups have the "autopatrol" flag. The discussion and consensus at the pump was to grant the "upload_by_url" flag to the autopatroller group (which would have made the extended uploader group a duplicate). There was no talk of, and no consensus, to add this flag to the patroller group. So to answer @DonTrung, no. The flag will not be granted to patrollers.

AlexisJazz added a comment.EditedJan 17 2019, 5:30 PM

Would this then also automatically give these permissions to "patrollers"?

Autopatrol is included in patrol.

That's actually not how that works @AlexisJazz. You have to separate user groups from user rights/flags. Flags are assigned to groups and then the group is granted to editors. Right now both the autopatrolled and patroller groups have the "autopatrol" flag. The discussion and consensus at the pump was to grant the "upload_by_url" flag to the autopatroller group (which would have made the extended uploader group a duplicate). There was no talk of, and no consensus, to add this flag to the patroller group. So to answer @DonTrung, no. The flag will not be granted to patrollers.

Interesting, but considering the bar to become patroller is higher than the bar to become autopatrolled and there is no consensus required (afaik) to grant autopatrol, you could simply go around and grant autopatrol to every single patroller out there. The only reason they don't have it btw: "Users with the patrol user right should not be granted this right, as they already have it and is redundant."

Majora, https://commons.wikimedia.org/wiki/Commons:Village_pump/Proposals#Grant_upload_by_url_and_MP3_to_all_autopatrol_user_groups should be a formality.

My original proposal already used the wording "autopatrolled users". Patrollers and bots are autopatrolled (adjective) users.

Majora, the only point where "the autopatrolled user group" was mentioned was when you asked me if this:

"The following flag is going to be added to the autopatrolled user group, upload_by_url as well as modifying the abuse filter to include autopatrolled."

Was what the proposal came down to. Sadly, I told you it was. Now it feels like this was some sort of setup, because obviously this was not what it meant. It would apply to all autopatrolled users, as stated in the title, in the intro, in the proposal itself and a comment of mine in the discussion area.

@Zoranzoki21 as you claimed this task, do you agree the proposal included all autopatrolled users, so also patrollers and bots? If not, I'll just request for those 687 users to be granted autopatrol.

Majora added a comment.EditedJan 17 2019, 9:18 PM

@AlexisJazz Obviously there was some confusion between user groups and user rights which is understandable. I personally don't have a problem with including the patroller user group in this request since, as you said, patroller is an "upgrade" to the autopatrolled group as it is currently defined on Commons. I didn't read your original proposal as meaning "add upload_by_url to every group that has the autopatrol flag" but I guess I could read it that way also. If another RfC is required to grant the flag to the patroller group as well then so be it. But that would be up to the devs who actually make those changes whether or not they want to include the patroller group since it is set up to be an extension of autopatrolled on Commons.

AlexisJazz added a comment.EditedJan 18 2019, 3:17 PM

@AlexisJazz Obviously there was some confusion between user groups and user rights which is understandable. I personally don't have a problem with including the patroller user group in this request since, as you said, patroller is an "upgrade" to the autopatrolled group as it is currently defined on Commons. I didn't read your original proposal as meaning "add upload_by_url to every group that has the autopatrol flag" but I guess I could read it that way also. If another RfC is required to grant the flag to the patroller group as well then so be it. But that would be up to the devs who actually make those changes whether or not they want to include the patroller group since it is set up to be an extension of autopatrolled on Commons.

I think another RfC/proposal would be more bureaucracy than needed. Many patrollers were upgraded from the autopatrol group, their autopatrol group wasn't removed because they no longer deserved it. And besides, admins decide who gets autopatrol. If the admins entrust patrollers with every perk users in the autopatrol user group get, that's enough. Bots, with their restricted scope and approval process, are even less of an issue. It would also be rather odd to put a bot in the autopatrolled user group when it needs what currently exists as extended uploader.

Is here still consensus for doing this?

@Zoranzoki21 as you claimed this task, do you agree the proposal included all autopatrolled users, so also patrollers and bots? If not, I'll just request for those 687 users to be granted autopatrol.

While deployment of this request, extended-uploader can be migrated to autopatrol via this script.

@Marostegui @jcrespo Please review migrateUserGroup.php maintenance script and tell if this script is ok for DBA?

Change 485487 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Merge the "extended-uploader" and "autopatrolled" user groups on Commons

https://gerrit.wikimedia.org/r/485487

Zoranzoki21 moved this task from Inbox to To deploy on the User-Zoranzoki21 board.Jan 20 2019, 2:48 PM

@Marostegui @jcrespo Please review migrateUserGroup.php maintenance script and tell if this script is ok for DBA?

(pretty sure we ran this script some time already)

Urbanecm triaged this task as Low priority.Jan 20 2019, 4:15 PM

Is here still consensus for doing this?

@Zoranzoki21 as you claimed this task, do you agree the proposal included all autopatrolled users, so also patrollers and bots? If not, I'll just request for those 687 users to be granted autopatrol.

While deployment of this request, extended-uploader can be migrated to autopatrol via this script.

Yes. There is consensus to merge the extended-uploader group into the autopatrolled group. Thank you for doing this.

There is no wait for replication on the script?

AlexisJazz added subscribers: MarkTraceur, Tgr.EditedJan 22 2019, 12:55 AM

It would be ideal if https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/485487/ (Merge the "extended-uploader" and "autopatrolled" user groups on Commons) and https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/UploadWizard/+/485141/ (mw.FlickrChecker: Use {{flickrreview}}) could be merged at the same time. (or merge the UploadWizard patch first, that'll be fine too)

@Tgr and @MarkTraceur (listed as reviewers), is this possible? Note: resources/mw.FlickrChecker.js is a Wikimedia/Commons-specific file due to template naming and how it considers noncommercial licenses as invalid, so I and @zhuyifei1999 believe this patch is fine.

Tgr added a comment.Jan 22 2019, 1:24 AM

@AlexisJazz If you mean at the exact same time, it's extra work and does not seem necessary. If you mean within a few days of each other, that's doable, sure. I was waiting for a reply on my comment.

I was waiting for a reply on my comment.

Umm, I saw them as statements and did not feel I have anything to reply. But if you're asking for my opinion on the matter of whether to switch on {{FlickrVerifiedByUploadWizard}} or {{flickrreview}} depending on the user groups, I'd say no. The switch would, I'd imagine, be a client-side switch, and that can be just as easily fooled as the UW's reviewing itself. Besides, I think having a bot to double-check is a good thing :)

Tgr added a comment.Jan 22 2019, 1:51 AM

Obviously UW cannot prevent you from uploading a file with FlickrVerifiedByUploadWizard it, that would be done by an abuse filter as before, I imagine. But fair enough.

I can merge the UW change now and SWAT the config change on the same day the new branch gets deployed to Commons, that's ~2-4 hours of difference. Any concerns with that?

Tgr added a comment.Jan 22 2019, 7:57 AM

There is no wait for replication on the script?

Maintenance::commitTransaction does wait for replication.

Ah ok! Thanks :)

I can merge the UW change now and SWAT the config change on the same day the new branch gets deployed to Commons, that's ~2-4 hours of difference. Any concerns with that?

Can the UW change gets there before the user group change? It would be messier if people start seeing the button on UW for Flickr uploads but gets prevented by AF.

@AlexisJazz If you mean at the exact same time, it's extra work and does not seem necessary. If you mean within a few days of each other, that's doable, sure. I was waiting for a reply on my comment.

As zhuyifei1999 says above, only the order matters. If the group change happens before the UW change, people would see the "Share images from Flickr" button but will be stopped by the abuse filter. Those who decide to ignore the abuse filter (just hit "upload" again) would need their uploads to be manually fixed. Which is doable for a few days, probably, as I've dealt with it before for extended uploaders, but messy and no smooth user experience. Merge the UW change first and everything will be fine.

As for "adding {{FlickrVerifiedByUploadWizard}} or {{flickrreview}} depending on whether you are in a trusted user group", I agree with zhuyifei1999. There is no advantage and it just leads to more complexity.

Tgr added a comment.Fri, Jan 25, 12:39 AM

Scheduled for Feb 7 midnight UTC. The UW patch will be deployed to Commons a few hours before that.

Zppix added a subscriber: Zppix.Fri, Jan 25, 2:13 PM

I've noticed that the reupload right wasnt brought over to the patroller usergroup was that intentional?

Would it be possible to also add the upload_by_url right to the patroller group

It is already in the patch. 😊

Will it be shared in the main Wikimedia Commons village pump when this change is implement?

Jeff_G added a subscriber: Jeff_G.Wed, Feb 6, 7:07 PM

Change 485487 merged by jenkins-bot:
[operations/mediawiki-config@master] Merge the "extended-uploader" and "autopatrolled" user groups on Commons

https://gerrit.wikimedia.org/r/485487

Mentioned in SAL (#wikimedia-operations) [2019-02-07T00:56:59Z] <twentyafterfour@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT config change for Bug: T214003 (duration: 00m 53s)

Tgr closed this task as Resolved.Thu, Feb 7, 12:58 AM
Tgr added a comment.Thu, Feb 7, 1:27 AM

Will it be shared in the main Wikimedia Commons village pump when this change is implement?

https://commons.wikimedia.org/wiki/Commons:Village_pump#Extended_uploaders_have_been_merged_into_autopatrollers